[Story] Get to Article Placeholder via search
Closed, ResolvedPublic

Description

If a user looks for a topic via the search and there is no article on it yet, they should see an Article Placeholder instead.

Lucie created this task.Aug 18 2015, 2:25 PM
Lucie updated the task description. (Show Details)
Lucie raised the priority of this task from to Normal.
Lucie claimed this task.
Lucie added subscribers: Aklapper, Lucie.
Lucie added a comment.Aug 21 2015, 2:04 PM
  • only show the placeholder if item has at least 10 (or any other number) statements to have only "relevant" items.

I don't think so. The placeholder is useful if:

  1. There're a description in given language (which can be the preloaded text of a new article)
  2. There're enough statements to generate a automated description (example)

See T99895#1448568, they don't want to generate text, or at least not specifically for this feature.

If the article placeholder is just a list of properties, what's the added value compared to linking (or redirecting to) the Wikidata item from Special:Search?

Lydia_Pintscher added a subscriber: Lydia_Pintscher.

Baically it boils down to: It should be displayed much nicer. It should be filtered. It should be a local experience.

Lucie moved this task from Incoming to To Do Next on the ArticlePlaceholder board.Sep 28 2015, 1:32 PM
hoo added a subscriber: hoo.Sep 29 2015, 10:38 AM

Should probably use the SpecialSearchResultsAppend hook for injecting the HTML.

For searching a TermIndex from ClientStore::getTermIndex should be used. TermIndex::getTopMatchingTerms on labels and aliases will provide the TermIndexEntry including the ItemIds of the Items to additionally list on the result page (see also TermIndexSearchInteractor which does something similar).

The entries should be shown as labels linked to the ArticlePlaceholder pages of the respective ItemIds. The description should be shown below the linked labels to give additional details.

Lucie moved this task from To Do Next to Doing on the ArticlePlaceholder board.Oct 2 2015, 3:23 PM

Change 243715 had a related patch set uploaded (by Lucie Kaffee):
[WIP] Article placeholder appear in search

https://gerrit.wikimedia.org/r/243715

Lucie moved this task from Doing to Review on the ArticlePlaceholder board.Oct 6 2015, 1:50 PM
Lucie set Security to None.
Lucie moved this task from Proposed to Review on the Wikidata-Sprint-2015-09-29 board.

Change 243715 merged by jenkins-bot:
Article placeholder appear in search

https://gerrit.wikimedia.org/r/243715

Lucie moved this task from Review to Done on the ArticlePlaceholder board.Oct 30 2015, 8:57 PM
Lucie closed this task as Resolved.
Lucie moved this task from Review to Done on the Wikidata-Sprint-2015-10-13 board.

Is the ArticlePlaceholder extension installed anywhere?